org.apache.catalina.valves

## Class ExtendedAccessLogValve.DateElement

- java.lang.Object
- - org.apache.catalina.valves.ExtendedAccessLogValve.DateElement

- All Implemented Interfaces:
    AbstractAccessLogValve.AccessLogElement
  Enclosing class:
    ExtendedAccessLogValve

      protected static class ExtendedAccessLogValve.DateElement
      extends Object
      implements AbstractAccessLogValve.AccessLogElement

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateElement

          protected DateElement()

  - ### Method Detail

    - #### addElement

          public void addElement(CharArrayWriter buf,
                                 Date date,
                                 Request request,
                                 Response response,
                                 long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.